Bug 1382025 - [RFE] Reporting tool for subscriptions
Summary: [RFE] Reporting tool for subscriptions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.2.2
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-05 14:32 UTC by Roman Bobek
Modified: 2020-04-15 14:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:13:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Bobek 2016-10-05 14:32:33 UTC
1. Proposed title of this feature request  
Reporting tool for subscriptions
  
2. Who is the customer behind the request?  
Account: Produban Servicios Informaticos Generales, S.L.
Account Number: 1596976
  
TAM customer: yes  
SRM customer: yes  
Strategic: yes  
  
3. What is the nature and description of the request?
The aim of the RFE is to generate a report of the usage of the subscriptions (which subscription is attached to which node, the average of the subscriptions consumed, the overview of the subscriptions, etc) exportable to different formats (csv, txt, etc).
  
4. Why does the customer need this? (List the business requirements here)
This report can be presented to the managers team to analyse the infrastructure and their use each month (or periodically). Also, for the Business team, can be very useful for calculate the costs of the subscriptions and the attachments to their infra. Furthermore, for the Ops team, this can be essential, because they can quickly review the consume of subscriptions, and plan the future deployments.

5. How would the customer like to achieve this? (List the functional requirements here)
Generation of a report with the status in this moment of the subscriptions
 
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
When the scripts/tool for generation of this report is ready, we can test in their Satellite the generation of this report.
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
RHEL 6 and RHEL 7 (mostly)
 
9. Is the sales team involved in this request and do they have any additional input?
- yes, sales is involved
- the Global KAM for Produban left in Sep and later this month we will have new appointment of the KAM announced 
- the report was requested for the country manager in spain and regional sales manager, together with the senior SA team - on behalf of the end customer for the urgent meeting related to subscriptions consumptions by IaaS and PaaS, and was executed by our consultant onsite due to the impossibility of generate such report directly from Satellite
 
10. List any affected packages or components.
Satellite (Candlepin, Foreman, Httpd, etc)
 
11. Would the customer be able to assist in testing this functionality if implemented?

Comment 1 jcallaha 2016-10-11 17:23:25 UTC
Roman, would hammer csv suit the needs you outline din this request? While the only output format as csv, it looks to include the information you are looking for.

You can read more about it here: https://github.com/Katello/hammer-cli-csv

Comment 3 Xixi 2016-12-01 17:24:14 UTC
Kathryn - same question as Comment 1?

Comment 4 Kathryn Dixon 2016-12-01 17:29:34 UTC
(In reply to Xixi from comment #3)
> Kathryn - same question as Comment 1?

To me that covers this.. maybe Roman or Ania can explain a bit more.

Comment 7 Lukas Zapletal 2018-01-19 09:44:53 UTC
In addition to CSV exporter via API/CLI, Satellite 6.3 comes out with a rake task and several examples for direct export from SQL/ActiveRecord stack. Here is documentation from rake task:

Database exporting

This task converts data from the internal database to CSV format. Several export templates
are provided defined in

    /usr/share/foreman/lib/tasks/exports.rake

It is possible to define own templates via simple DSL and ActiveRecord API in:

    /etc/foreman/exporters.rb.conf

Available conditions:
  * output => output directory
  * templates => particular templates to be exported (all by default)
  * header => generate column names (CSV only)

  Example:
    rake exports:csv ouput=/tmp/export header=1
    rake exports:csv templates=managed_hosts_provisioning_summary,other_template ouput=/tmp/export

Comment 8 Bryan Kearney 2018-09-04 19:01:18 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 9 Bryan Kearney 2018-09-04 19:13:42 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.